<?php
require_once __DIR__ . '\autoloader.php';
//for database manager we need to create a database
use Philo\Blade\Blade;

// Illuminate\Support\ClassLoader::register();

// use the str_finish helper method to assure a trailing slash at the end of path string
$basePath = str_finish(dirname(__FILE__), DIRECTORY_SEPARATOR);

// if you have other directories define the path to them too
$controllersDirectory = $basePath . 'Controllers';
$modelsDirectory = $basePath . 'Models';

// register directories into autoloader
Illuminate\Support\ClassLoader::register();
Illuminate\Support\ClassLoader::addDirectories(array($controllersDirectory, $modelsDirectory));


$app = new Illuminate\Container\Container;
Illuminate\Support\Facades\Facade::setFacadeApplication($app);

$app['app'] = $app;

$app['env'] = 'production';

//handling the routing
with(new Illuminate\Events\EventServiceProvider($app))->register();
with(new Illuminate\Routing\RoutingServiceProvider($app))->register();


//blade initialization
$views = __DIR__ . DIRECTORY_SEPARATOR .'views';
$cache = __DIR__ . DIRECTORY_SEPARATOR .'cache';

$blade = new Blade($views, $cache);
$app['view'] = $blade;
//routing ,continue!
require $basePath . 'routes.php';

$request = Illuminate\Http\Request::createFromGlobals();
$response = $app['router']->dispatch($request);

$response->send();
